package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.MainInfo;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface MainInfoService {
    MainInfo findMainInfoById(String userId);
    MainInfo findMainInfoByPhoneNumber(String phoneNumber);
    MainInfo findMainInfoByPhoneNumberAndPassword(String phoneNumber,String password);
    MainInfo findMainInfoByEmailAndPassword(String email,String password);
    MainInfo findMainInfoByEmail(String mail);
    MainInfo addMainInfo(MainInfo mainInfo);
    String deleteMainInfoById(String userId);
}
